Page MenuHomePhabricator

Wikimania Hackathon Phabricator session(s)
Closed, ResolvedPublicAug 14 2019

Description

  • Wednesday, August 14th, 14:00, Room Curie/Bergsmannen: Basic Introduction to Phabricator (slides) - what is Phabricator and how you can use it. Please ask any questions!

Max would like to be involved as well and help improve on these sessions.
It would be great to have more folks working with Andre who can be onboarded to what we do and lead similar sessions at events that Andre can not attend.

Potential things to do:

  • Review current Phabricator sessions - what can we improve the newcomer sessions.

how can we make the "advanced Phab" sessions more useful.
Any other resources or help we can include into the newcomer or general tracks / maybe not an official session.

  • idea: signs around the hack saying things like "did you know that phabricator can........ what to know how? talk to ......"
  • more Phab dragon stickers

Details

Due Date
Aug 14 2019, 1:00 PM

Event Timeline

Rfarrand triaged this task as Normal priority.Mar 27 2019, 4:38 PM
Rfarrand created this task.
Aklapper lowered the priority of this task from Normal to Low.Mar 27 2019, 7:04 PM

I cannot confirm yet if I will be in Stockholm as the registration does not seem to be open yet.

As my bullet points in https://www.mediawiki.org/wiki/User:AKlapper_(WMF)/Talks#Introduction_to_Wikimedia_Phabricator (shown live in a browser if there is an internet connection) was way too much content, the last times I simply used the static slides at https://commons.wikimedia.org/wiki/File:Introduction-to-Phabricator-WikiCon-2016.pdf .

I'm not aware of an "advanced Phab" session.

@Aklapper Sorry - to clarify, the advanced session is the same as we tried at a different hackathon recently, I forget which one and could not find it after a brief search. It was something along the lines of "come to this room if you have advanced questions about Phab" we ended up with only 3-4 people showing up, but you were able to give them all mostly 1:1 help and you said it was worth the effort.

Do you remember that?

The "advanced" session may have been remembering T199168: Session: Learn to use Phabricator! (20 minute presentation + Q&A) and @chasemp's feedback at T199678#4434362 after we did that session.

@bd808: Ah, thanks for the pointers and the context. Got it. Though "advanced" can be so many things that it's hard to decide on scope (what to cover or not).

but you were able to give them all mostly 1:1 help and you said it was worth the effort. Do you remember that?

@Rfarrand: No, because that was not me but some doppelgänger who sometimes attends conferences to impersonate me, I'm afraid!

@Aklapper but you were certainly in the room!!! now I need to find what session I am talking about....

AH-HA!,
https://phabricator.wikimedia.org/T137906

...im not crazy

bd808 added a comment.Mar 28 2019, 8:16 PM

...im not crazy

We are all a bit "off" here @Rfarrand, but that is no reason to feel fear or shame. ;)

welll.. I am just taking every opportunity I can to make sure @Aklapper knows that I am not crazy.

But back to business --- lets do this again in both Prague and Stockholm with Andre, Max, Chase, Bryan and whoever else wants - but instead of it being in a meeting room, we can just have people sit at a table somewhere under a big sign that says "I <3 Phab" in big letters for a specified time which we will put on the program and they can answer 1:1 questions or put people in a que to answer the more complicated questions when they are not busy.

Does that work?

Which actually sounds like a slightly separate idea that what @MBinder_WMF had in mind for Wikimania - which sounded like a presentation around "advanced" tricks around Phab and ways to use it that people might not know. Is that correct?
We can do either or both. :)

welll.. I am just taking every opportunity I can to make sure @Aklapper knows that I am not crazy.

You've passed the Turing test (and you have a better memory than I have)!

Does that work?

Yesh.

I'm happy to jump onto any existing session. I had a couple of separate proposals.

One was to have a coaching clinic for any need including (and not exclusive to) Phab, and people could sign up for slots.

The other was a Phab-oriented thing along the lines of what you've described, with a presentation and Q&A/questions-in-advance option (so joining an existing session sounds more viable). The "advanced" thing was more about analyzing needs and comparing to good practices (regardless of Phab), because the best tools still struggle to provide value if the process-philosophy still needs help. :)

A third vague proposal is to work with WMDE folks on expanding their non-violent communication presentation from Barcelona, though that is more "community health" than Phab-specific.

Confirm that Andre will be in Stockholm (or not).

I am going to be in Stockholm from Aug14-18.

I am living in Stockholm so I can pass by if it's ok....

The challenge I see more and more is

Broaden the usage of Phabricator? To be the preffered channel for coordinating the Linked data landscape with Wikidata and external participants

As Wikidata starts getting more mature and we now also have WIkibase we are looking into not just receive a bag of data from external resources but also start working together with the owner of the source and maybe also some "data roundtrip lifecycle" .

To be successful doing this I am convinced that we should not do it in an "ad hoc" way so I suggested {T202530: [Epic] Feedback processes and tools for data-providers} a year ago

Since then I am even more convinced and after trying to cooperate with the Swedish National Library and VIAF with no success since 2018 june see T223259: LIBRIS XL <-> VIAF <-> Wikidata I feel that we maybe should open up Phabricator usage and try to "push" all external communication to tasks in Phabricator and also try to convince other members with interest to interact with WIkidata to either reference Wikidata tasks in Phabricator and/or be part as users in this WIkimedia Phabricator -->

  1. We get direct feedback
  2. We track open issues
  3. We get a prioritized backlog
  4. All participants read the same Phabricator Task and can subscribe on changes

Comments?!?!?

Question: @Tore_Danielsson_WMSE is there any sessions under Wikimania 2019 were we could present for GLAM / Library people how Phabricator works and tell them to also be part (if they don't have their own system)??

@Salgo60 I can keep this question in mind. I suppose that we in some way must investigate which people are of interest of cooperation in this platform, in the different institutions (Sweden) and in the different projects.

Salgo60 added a comment.EditedMay 23 2019, 8:42 AM

@Tore_Danielsson_WMSE thanks or maybe tell people if you would like to be part of the Wikidata echo system we need to be able to communicate with you using Phabricator

  • Have a workshop: How to get out the most value for your organisation when being part of a fast changing open community as the loosely coupled Wikipedia echo system
    • change management basics using our Phabricator - our prefered way of interact and our best practise

I see this need is getting bigger and bigger see todays rant in Swedish about the lack of linked data awareness from some Swedish cultural institutions...

If we should get the full potential of Linked data and create trust between loosely coupled groups like Wikidata we need tools like this. Seeing no signs of traceability like issue T223259 will help no one


Picture from Future Learn Strategic Doing Collaboration and Trust

bd808 added a subscriber: Bmueller.Jun 4 2019, 10:32 PM

@MBinder_WMF (and others!), I had an idea that I shared with @Bmueller and @Aklapper via email that may be of interest to you:

I have on many occasions had a user show up in the #wikimedia-cloud IRC channel to ask for help and then have them refuse to create a Phabricator task to track a complicated problem. It would be really awesome to start helping folks who usually live in the on-wiki space of talk pages and echo notifications get a bit more comfortable with interacting in Phabricator. Hackathon sessions only reach folks who are ready to go fully into the technical contributor space. Something in the main program at Wikimania could start building these bridges.

I think this is related to @Salgo60's thoughts in T219418#5207164 and T219418#5207385 as well.

Aklapper added a comment.EditedJun 8 2019, 10:20 PM

Though these are both about the main event and not about the Hackathon!

Sounds like it may be a good idea to have sessions both at the hackathon and at the main conference.
The one at the hackathon be more technically focused and include some Q&A time at the end.

@Aklapper : For the hackathon do you have any suggestions to change your normal-ish session? And if so or if not can you share you general plan with @MBinder_WMF, figure out who is doing what and make/update the task?
By the end of this week I should have the general Wikimania program outline up and we can figure out where this goes in relation to the other newcomer hackathon sessions.

Thanks! :)

Aklapper updated the task description. (Show Details)Aug 5 2019, 11:29 PM
Aklapper set Due Date to Aug 14 2019, 1:00 PM.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 5 2019, 11:29 PM
abian added a subscriber: abian.Aug 7 2019, 7:55 AM
Aklapper closed this task as Resolved.Aug 20 2019, 10:53 PM

1== SESSION OVERVIEW ==
2; Title: An introduction to Phabricator, where the developers are
3; Day & time: Friday 16 August, 15:00
4; Session link: https://wikimania.wikimedia.org/wiki/2019:Technology_outreach_%26_innovation/An_introduction_to_Phabricator,_where_the_developers_are
5; Speaker: Andre Klapper (User:AKlapper (WMF))
6; Notetakers: David Richfield
7; Attendees: 25- 30 individuals
8
9 ...
10
11
12== SESSION SUMMARY ==
13
14[introduction]
15I spend quite some time in Phabricator. Who's been on phabricator?
16Almost all.
17
18Who was confused?
19
20About half
21
22Will introduce what it is, why we have it, the most basid concepts about what it's used for
23Also how you can use it to organise projects yourself, not necessarily enginering projects.
24
25Title is to stress that lots of planning is organised on phabricator. Didn't wan to imply that all the devs are there, we have other stuff that's not manaaged there, e.g. gadgets etc.
26
27It's a proj man tool for software projs
28
29How many have seen other tools? e.g. bugzilla, trello, etc.
30
31About 6-8
32
33in proj man software, Try to define who does what work. What one person does is one task. Could be "issue", or "ticket" in other software. Called "task" in phab
34
35Easier to collaborate with phab. In wmf engineering teams, every team could choose what they used internally, so was hard to work together across tasks, because some used mingle, trello, bugzilla,
36
37In 2014 had RFC and phab was chosen.
38
39Who uses phab?
40
41[Slide with examples]
42
43As high level concepts, phab has projects, tasks, users/people.
44
45Various code projects, some specific gadgets where the devs wanted to manage them on phab,
46
47Some teams, some chapters.
48
49WMSE is maybe the biggest example of a chapter who uses phab.
50
51Hackathon sessions are on phab
52
53For people who don't write code, they can still request changes on phab, e.g. removing user account creation limit, or requesting site config changes on local wikis.
54
55People:
56 Anyone who's technically intersted,
57 devs
58 product managers who prioritise work
59 People who test code changes
60 Release engineering (when code changes go live)
61 People doing communication, e.g. technews on Meta
62 Designers
63 Translators (e.g. if there are English strings that can't be translated to yourlanguage)
64 Event organisers
65
66Things are organised around projects, tasks, people [screenshot on slide]
67
68Task has:
69 Status ('open' on that example) - can change to 'resolved' or 'declined'
70 Priority - that's not completely objective (see below). Not everyone uses this field. Can be used to plan work by urgency.
71 Visibility - by default everything is public, but for example security problems must be private.
72 Description (not on screenshot)
73 Discussion (if everything isn't quite clear)
74 Associated projects / tags Might be:
75 codebase
76 Topics that go across codebases or teams
77 Team tags (which teams are involved)
78 Tags haveStuff in brackets which will be discussed below
79 Subscribers
80 Author (won't change once task is created)
81 Assigneee (might be creator, might not) who is responsible to do the task. Only one per task: not supported and probably not a good idea. Can change over time. Can split task into subtasks if you need multiple assignees.
82
83Projects are used to organise their subtasks. Tasks can have more than one projects, and projects can have multiple tasks.
84
85Description should explain what the project is about.
86
87Q: Always in English?
88A: Not necessarily.
89
90Project can have members, but that's not super important.
91
92Q: Difference between members and subscribers?
93A: Subscribers are for tasks, members are for projects. Subscribers always get notifications, but members can watch or not watch a project.
94
95Every project also has its own workboard:
96 Description on the left
97 Then 'workboard', which can be disabled.
98 Helps with planning and organising work
99 Contains columns which contain cards.
100 Cards can be dragged from one column to another.
101 Leftmost column is 'incoming'
102 Assignee field determines whose picture is shown on the card.
103
104Setting priorities:
105 "lowest" → "unbreak now"
106 Some projects don't use priority field.
107 Sometimes creator of task sets high priority, but if they don't work on the task, it might be reset.
108 If two projects have the same task, but different priority in different teams, you can split the task.
109
110Q: When you open a task on phab, and you don't know whether it's a duplicate, how do you find out?
111A: If you're already technically aware of what codebase it might be related to, you can search the open task on that code project. Also search functionality on phab by keywords or by date. Not a problem to create duplicates, and developers can close duplicate tasks.
112
113Q: If I request a config change that might affect many people, can the product manager decide whether it is a good idea?
114A: On meta there's a page to request config changes. One step is to gather on-wiki consensus, and only later to raise phab ticket, and to link to consensus evidence.
115
116Q: Can you connect task in terms of which should be done before what?
117A: There is a section in every tasks which shows which tasks mention which tasks. Also concept of subtasks and parent tasks: subtasks must be completed first.
118
119Q: If I want to look for tasks, can I use phab with my normal wikimedia account?
120A: Just go to phab: it's single-sign-on. If you click login, you are presented with a 'login or register' button. Click that button and you will be redirected for oauth. On your first login you have to enter your email address (different from mediawiki sites).
121
122Q: Can I change the email address later?
123A: Yes.
124
125Last aspect is the user profile. [slide: AKlapper's personal user profile]
126
127Shows info, which projects you're member of, your activity log, notification settings, etc.
128
129To report a software problem, you file a task.
130
131Click on the bookmark icon at the top; click on 'create task'. Then you get a form to fill in. Title is necessary, there you right a short description of the task. Can fill in assignee field, but that is rude if you haven't agreed with them. Important: steps to reproduce the bug. Often not well enough described, and developer needs to get back to the task author. Please write expected result and actual result!
132
133Can add tags. Click on search button to get suggestions.
134
135Further down, there's a preview of the task.
136
137Q: Certain problem on enwiki where number of pages in category is incorrectly reported, but it was marked resolved, but it isn't, and new tickets just get closed immediately.
138A: I think I've seen those tasks, and it's not always clear whether it's really the same technical problem. You can change the status back to 'open', but you should give evidence if you do that. For example, it might be a different problem, or there could be more ways to reproduce it. However, if it's a really old task, rather create a new one, because the old one might not be relevant.
139
140[something about searching tasks that I didn't get]
141
142Following tasks:
143 Can receive emails or within phab: in the user settings.
144 Subscribers and members:
145 subscribe to individual tasks
146 "watch" project
147
148Q: [specific issue with menus - taken offline]
149
150More functions:
151 [on slide]
152
153Help links:
154 [on slide]
155
156
157== PRESENTATION / SLIDES / LINKS TO MATERIAL SHARED ==
158https://commons.wikimedia.org/wiki/File:Introduction-to-Phabricator-WikiCon-2016.pdf

Aklapper updated the task description. (Show Details)Aug 20 2019, 10:54 PM
Aklapper added a comment.EditedSep 6 2019, 8:11 AM

Hmm, I don't see the Hackathon Main session listed under Videos on https://wikimania.wikimedia.org/wiki/2019:Video#Szymborska :(

I see that https://www.youtube.com/watch?v=TvyoGdA2pig was linked for a while on the wiki page, but that has been removed.